Security enhancements to IP Vault and new Gemini 3.1 Flash Live STS model for Convo mode
curl --request GET \
--url https://pria.praxislxp.com/admin/memory/user/{userId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"user": {
"_id": "<string>",
"email": "<string>",
"fname": "<string>",
"lname": "<string>"
},
"data": [
{
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
}
}
]
}Returns memory rows visible to the requesting admin. Super sees every row for the target. Non-super admins see rows in institutions where they hold users.edit, plus the target’s personal rows iff they hold users.edit on at least one institution where the target has membership.
curl --request GET \
--url https://pria.praxislxp.com/admin/memory/user/{userId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"user": {
"_id": "<string>",
"email": "<string>",
"fname": "<string>",
"lname": "<string>"
},
"data": [
{
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token passed in authorization header
Was this page helpful?